import {Deserialize} from "../util/deserialize.model";

export class BlueprintGeneratedClassModel implements Deserialize {
  public blueprint: string;

  public deserialize(raw: any): this {
    if( raw[0] !== 'BlueprintGeneratedClass') Error('wrong type, expecting BlueprintGeneratedClassModel, got [' + raw[0] + ']!');
    this.blueprint = raw[1];
    return this;
  };

  public toJSON(): object {
    return [ 'BlueprintGeneratedClass', this.blueprint ];
  }
}
